## org.junit.experimental.categories
Class ExcludeCategories

    java.lang.Object
      org.junit.experimental.categories.ExcludeCategories

All Implemented Interfaces:
  FilterFactory

    public final class ExcludeCategories

extends Object

`FilterFactory` to exclude categories. The `Filter` that is created will filter out tests that are categorized with any of the given categories. Usage from command line: `--filter=org.junit.experimental.categories.ExcludeCategories=pkg.of.Cat1,pkg.of.Cat2` Usage from API: `new ExcludeCategories().createFilter(Cat1.class, Cat2.class);`

Nested Class Summary

Nested classes/interfaces inherited from interface org.junit.runner.FilterFactory
`FilterFactory.FilterNotCreatedException`

Constructor Summary
`ExcludeCategories()`

Method Summary
`Filter` `createFilter(FilterFactoryParams params)` Creates a `Categories.CategoryFilter` given a `FilterFactoryParams` argument.
`protected Filter` `createFilter(List<Class<?>> categories)` Creates a `Filter` which is only passed by tests that are not categorized with any of the specified categories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcludeCategories

    public ExcludeCategories()

Method Detail

### createFilter

    protected Filter createFilter(List<Class<?>> categories)

  Creates a `Filter` which is only passed by tests that are not categorized with any of the specified categories.

  Parameters:
    `categories` - Category classes.

### createFilter

    public Filter createFilter(FilterFactoryParams params)
                        throws FilterFactory.FilterNotCreatedException

  Creates a `Categories.CategoryFilter` given a `FilterFactoryParams` argument.

  Specified by:
    `createFilter` in interface `FilterFactory`
  Parameters:
    `params` - Parameters needed to create the `Filter`
  Throws:
    `FilterFactory.FilterNotCreatedException`

Copyright © 2002–2020 JUnit. All rights reserved.